Cancel a payment
curl --request POST \
--url https://api.example.com/v1/payments/{id}/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "Buyer cancelled the purchase order."
}
'import requests
url = "https://api.example.com/v1/payments/{id}/cancel"
payload = { "reason": "Buyer cancelled the purchase order." }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Buyer cancelled the purchase order.'})
};
fetch('https://api.example.com/v1/payments/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ckxinv042",
"externalId": "INV-2026-00042",
"status": "cancelled",
"amount": "12500.00",
"currency": "USD",
"hostedPaymentUrl": "https://pay.caratuva.com/i/ckpub042",
"buyer": {
"id": "ckbuy001",
"email": "buyer@acme.com",
"name": "ACME Imports LLC",
"country": "US",
"kycStatus": "not_started"
},
"returnUrl": "https://shop.example.com/orders/42/return",
"metadata": {
"orderId": "order_42",
"source": "storefront"
},
"display": {
"title": "Order #42 — green coffee, 18t",
"lineItems": [
{
"description": "Green coffee, 18t",
"quantity": "1",
"unitPrice": "12500.00",
"subtotal": "12500.00"
}
]
},
"paymentChain": "base",
"paymentAddress": "0x5fbe…a91c",
"brlSettledAmount": null,
"fxRateAtSettlement": null,
"expiresAt": null,
"cancelReason": "Buyer cancelled the purchase order.",
"createdAt": "2026-06-30T12:00:00.000Z",
"updatedAt": "2026-06-30T12:00:00.000Z"
}{
"statusCode": 404,
"error": "NotFound",
"message": "No payment with that id for your org."
}Payments
Cancel a payment
Cancel a payment before its off-ramp settles. Once funds have settled to the seller’s PIX the payment can no longer be cancelled.
POST
/
v1
/
payments
/
{id}
/
cancel
Cancel a payment
Authorizations
apiKeybearer
Path Parameters
Body
application/json
Required string length:
1 - 500Response
Payment cancelled
Available options:
draft, awaiting_approval, approved, awaiting_buyer, buyer_kyc_pending, buyer_kyc_approved, buyer_kyc_rejected, fx_quoted, fx_expired, on_ramp_pending, on_ramp_failed, fiat_received, on_chain_confirmed, offramp_pending, offramp_failed, settled, partial_payment, expired, cancelled, restored, manual_review Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I